scim_debug.h File Reference

Defines class scim::DebugOutput and related MACROS. More...

## Classes

class | scim::DebugOutput
| The class to filter and redirect the debug messages. More...

## Namespaces

namespace | scim

## Macros

#define | SCIM_DEBUG_MAX_VERBOSE 7
The mask for debug messages filtering.
#define | SCIM_DEBUG_AllMask ((uint32)~0)
#define | SCIM_DEBUG_MainMask 1
#define | SCIM_DEBUG_ConfigMask 2
#define | SCIM_DEBUG_IMEngineMask 4
#define | SCIM_DEBUG_BackEndMask 8
#define | SCIM_DEBUG_FrontEndMask 16
#define | SCIM_DEBUG_ModuleMask 32
#define | SCIM_DEBUG_UtilityMask 64
#define | SCIM_DEBUG_IConvMask 128
#define | SCIM_DEBUG_LookupTableMask 256
#define | SCIM_DEBUG_SocketMask 512
The macros to simplify the debug message print method.
You can output debug messages by this way: SCIM_DEBUG_IMENGINE(1) << "Hello World!\n";
#define | SCIM_DEBUG(mask, level)
#define | SCIM_DEBUG_MAIN(level)
#define | SCIM_DEBUG_CONFIG(level)
#define | SCIM_DEBUG_IMENGINE(level)
#define | SCIM_DEBUG_BACKEND(level)
#define | SCIM_DEBUG_FRONTEND(level)
#define | SCIM_DEBUG_MODULE(level)
#define | SCIM_DEBUG_UTILITY(level)
#define | SCIM_DEBUG_ICONV(level)
#define | SCIM_DEBUG_LOOKUPTABLE(level)
#define | SCIM_DEBUG_SOCKET(level)

## Detailed Description

Defines class scim::DebugOutput and related MACROS.

All of the debug information should be output via scim::DebugOutput class. This class provides message filter and redirection ability.

## Macro Definition Documentation

## SCIM_DEBUG_MAX_VERBOSE

#define SCIM_DEBUG_MAX_VERBOSE 7

## SCIM_DEBUG_AllMask

#define SCIM_DEBUG_AllMask ((uint32)~0)

Show all messages.

Referenced by scim::DebugOutput::DebugOutput().

## SCIM_DEBUG_MainMask

#define SCIM_DEBUG_MainMask 1

Show messages of main application.

## SCIM_DEBUG_ConfigMask

#define SCIM_DEBUG_ConfigMask 2

Show messages of Config objects

## SCIM_DEBUG_IMEngineMask

#define SCIM_DEBUG_IMEngineMask 4

Show messages of IMEngine objects

## SCIM_DEBUG_BackEndMask

#define SCIM_DEBUG_BackEndMask 8

Show messages of BackEnd objects

## SCIM_DEBUG_FrontEndMask

#define SCIM_DEBUG_FrontEndMask 16

Show messages of FrontEnd objects

## SCIM_DEBUG_ModuleMask

#define SCIM_DEBUG_ModuleMask 32

Show messages of Module objects

## SCIM_DEBUG_UtilityMask

#define SCIM_DEBUG_UtilityMask 64

Show messages of utility functions

## SCIM_DEBUG_IConvMask

#define SCIM_DEBUG_IConvMask 128

Show messages of IConvert objects

## SCIM_DEBUG_LookupTableMask

#define SCIM_DEBUG_LookupTableMask 256

Show messages of LookupTable objects

## SCIM_DEBUG_SocketMask

#define SCIM_DEBUG_SocketMask 512

Show messages of Socket objects

## SCIM_DEBUG

#define SCIM_DEBUG | ( |  | mask,
|  |  | level )

Value:
(scim::DebugOutput(mask,level) << scim::DebugOutput::serial_number () << __FILE__ << ":" << __LINE__ << " > ")
scim::DebugOutput
The class to filter and redirect the debug messages.
Definition scim_debug.h:86
scim::DebugOutput::serial_number
static String serial_number()

## SCIM_DEBUG_MAIN

#define SCIM_DEBUG_MAIN | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_MainMask,level)
SCIM_DEBUG_MainMask
#define SCIM_DEBUG_MainMask
Definition scim_debug.h:45
SCIM_DEBUG
#define SCIM_DEBUG(mask, level)
Definition scim_debug.h:67

## SCIM_DEBUG_CONFIG

#define SCIM_DEBUG_CONFIG | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_ConfigMask,level)
SCIM_DEBUG_ConfigMask
#define SCIM_DEBUG_ConfigMask
Definition scim_debug.h:46

## SCIM_DEBUG_IMENGINE

#define SCIM_DEBUG_IMENGINE | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_IMEngineMask,level)
SCIM_DEBUG_IMEngineMask
#define SCIM_DEBUG_IMEngineMask
Definition scim_debug.h:47

## SCIM_DEBUG_BACKEND

#define SCIM_DEBUG_BACKEND | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_BackEndMask,level)
SCIM_DEBUG_BackEndMask
#define SCIM_DEBUG_BackEndMask
Definition scim_debug.h:48

## SCIM_DEBUG_FRONTEND

#define SCIM_DEBUG_FRONTEND | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_FrontEndMask,level)
SCIM_DEBUG_FrontEndMask
#define SCIM_DEBUG_FrontEndMask
Definition scim_debug.h:49

## SCIM_DEBUG_MODULE

#define SCIM_DEBUG_MODULE | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_ModuleMask,level)
SCIM_DEBUG_ModuleMask
#define SCIM_DEBUG_ModuleMask
Definition scim_debug.h:50

## SCIM_DEBUG_UTILITY

#define SCIM_DEBUG_UTILITY | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_UtilityMask,level)
SCIM_DEBUG_UtilityMask
#define SCIM_DEBUG_UtilityMask
Definition scim_debug.h:51

## SCIM_DEBUG_ICONV

#define SCIM_DEBUG_ICONV | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_IConvMask,level)
SCIM_DEBUG_IConvMask
#define SCIM_DEBUG_IConvMask
Definition scim_debug.h:52

## SCIM_DEBUG_LOOKUPTABLE

#define SCIM_DEBUG_LOOKUPTABLE | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_LookupTableMask,level)
SCIM_DEBUG_LookupTableMask
#define SCIM_DEBUG_LookupTableMask
Definition scim_debug.h:53

## SCIM_DEBUG_SOCKET

#define SCIM_DEBUG_SOCKET | ( |  | level | ) |

Value:
SCIM_DEBUG(SCIM_DEBUG_SocketMask,level)
SCIM_DEBUG_SocketMask
#define SCIM_DEBUG_SocketMask
Definition scim_debug.h:54